DAServer Installation Help
DAServer Installation Help
Last Revision: 9/10/14
Invensys Systems, Inc.

2014 Invensys Systems, Inc. All Rights Reserved.


Using Online Help
Using Online Help
The online help for this DAServer is HTML Help based. The help user interface is a split-screen format with the Contents, Index, and Search panes nested at left and the topic of interest at right. Contents is comparable to a book’s Table of Contents, Index is a keyword search function similar to a book’s index, and Search is a full-text function in which you can search for any word in the help file.
In Contents, select a book or the plus sign to its left, and nested books and pages are displayed. Click the topic of interest, and it is displayed in the right pane. In Index, enter a keyword representing a subject of interest and click the Display button. Then double-click the topic of interest from the displayed list. In Search, enter a word related to the subject of interest and click the Display button. Then double-click the topic of interest from the displayed list.
Related Topics
Printing from the Online Help


Copyright Information

Using Online Help : Copyright Information
Copyright Information
All rights reserved. No part of this documentation shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of Invensys Systems, Inc. No copyright or patent liability is assumed with respect to the use of the information contained herein. Although every precaution has been taken in the preparation of this documentation, the publisher and the author assume no responsibility for errors or omissions. Neither is any liability assumed for damages resulting from the use of the information contained herein.
The information in this documentation is subject to change without notice and does not represent a commitment on the part of Invensys Systems, Inc. The software described in this documentation is furnished under a license or nondisclosure agreement. This software may be used or copied only in accordance with the terms of these agreements.
Invensys is a Schneider Electric company.
© 2013-2014 by Invensys Systems, Inc. All rights reserved.
Invensys Systems, Inc.
26561 Rancho Parkway South
Lake Forest, CA 92630 U.S.A.
(949) 727-3200
http://www.wonderware.com
For comments or suggestions about the product documentation, send an e-mail message to ProductDocumentationComments@invensys.com.


Trademarks

Using Online Help : Trademarks
Trademarks
All terms mentioned in this documentation that are known to be trademarks or service marks have been appropriately capitalized. Invensys Systems, Inc. cannot attest to the accuracy of this information. Use of a term in this documentation should not be regarded as affecting the validity of any trademark or service mark.
Alarm Logger, ActiveFactory, ArchestrA, Avantis, DBDump, DBLoad, DT Analyst, Factelligence, FactoryFocus, FactoryOffice, FactorySuite, FactorySuite A2, InBatch, InControl, IndustrialRAD, IndustrialSQL Server, InTouch, MaintenanceSuite, MuniSuite, QI Analyst, SCADAlarm, SCADASuite, SuiteLink, SuiteVoyager, WindowMaker, WindowViewer, Wonderware, Wonderware Factelligence, and Wonderware Logger are trademarks of Invensys plc, its subsidiaries and affiliates. All other brands may be trademarks of their respective owners.


Printing from the Online Help

Using Online Help : Printing from the Online Help
Printing from the Online Help
To print all or part of the help, click a book or page in the Contents pane, and click the Print button. If you selected a page, only that topic is printed. If you selected a book, that topic as well as all topics nested in that book are printed.


DAServer Installation
DAServer Installation
A Data Access Server (DAServer) is the server executable that interfaces with Wonderware products, with DINetwork and DIDevice objects in the ArchestrA™ environment, or with any third-party client that is OPC v2.05, DDE or SuiteLink compliant.
You can install all the following DAServer components or individually install them:
•
The DAServer Manager, including configuration components for this specific DAServer
•
The DAServer, including OPC protocol capabilities
•
The DDE/SuiteLink Plug-In, for communicating with legacy Wonderware products
For information about installing FS Gateway, see FS Gateway Installation .
Related Topics
Installing a DAServer
Modifying an Installation
Repairing an Installation
Uninstalling a DAServer
Upgrading a DAServer
Installing a Product License


Installing a DAServer

DAServer Installation : Installing a DAServer
Installing a DAServer
Before you begin, make sure that you have installed any prerequisite software. For prerequisites, see the Readme file. The installation program will also prompt you to install any required software.
You can silently install the DAServer. For more information, see Using Silent Installation.
To install a DAServer
1
Run the setup executable from the installation media. The Welcome dialog box appears.
2
If necessary, install any prerequisites and then click Next. The License Agreement dialog box appears.
3
Click I Accept the License Agreement and then click Next. The Select Features dialog box appears.
4
Select the components you want to install.
5
To change the installation path, click Browse.
6
Click Next. The ArchestrA User Account dialog box appears.
7
Specify an ArchestrA user account. The ArchestrA user account is a user name and password combination that enables inter-node communication between all computers in an ArchestrA environment. You can create a new ArchestrA user account if no other ArchestrA-enabled software is installed on the computer, or specify an existing user account.
If you create a new account, do the following:
a
Type your user name and password.
b
Click the Create Local Account check box if not already selected. By default, this is selected and the Domain/Local Machine box shows your computer name.
c
Specify a different domain/local machine name if necessary. If you clear the check box, the Domain/Local Machine box shows the default domain name. You can then modify it.
If you select an existing user account, it should meet the following requirements:
•
User account with a permanent password that does not expire.
•
User account in which the password cannot be changed.
•
User account that is a member of the local Administrators group.
a
Type the user name and password for the existing account.
b
Clear the Create Local Account check box.
c
Click Next to complete the User Account setup.
You use the ArchestrA Change Network Account utility to change or recreate the ArchestrA user account.
WARNING! The ArchestrA user account is a Windows operating system account located on the local computer or on a domain. Do not delete this account with operating system account management tools. If you do, ArchestrA-enabled software may stop functioning properly.
8
Click Next. The Ready to Install dialog box appears.
9
Click Install. The Updating the System dialog box appears, and then the Finish dialog box appears.
10
To read the product readme file, leave the Readme check box selected.
11
Click Finish.
12
Restart the computer, if required.
Related Topics
DAServer Installation
Modifying an Installation
Repairing an Installation
Uninstalling a DAServer
Upgrading a DAServer
Installing a Product License


Modifying an Installation

DAServer Installation : Modifying an Installation
Modifying an Installation
You can change the DAServer components installed on your computer. You can add new components or remove the existing ones. You can modify any DAServer component.
You must insert the installation media in the media drive before you can repair the installation.
To modify an installation
1
Click the Add or Remove Programs option in Windows Control Panel. (In some operating systems, this is called Uninstall or Change a Program.) The list of software installed on your computer appears.
2
Select the DAServer, and then click the Uninstall/Change button. (The name of the Uninstall/Change button varies depending on the Windows operating system installed on your computer.) The Modify, Repair or Remove Installation dialog box appears.
3
Click the Modify option, and then click Next. The list of components appears.
4
Select or clear the components that you want to add or remove, and then click Next. The verify change dialog box appears.
5
Click Modify. The selected components are added or removed and the complete modification dialog box appears.
6
Click Finish.
Related Topics
DAServer Installation
Installing a DAServer
Repairing an Installation
Uninstalling a DAServer
Upgrading a DAServer
Installing a Product License


Repairing an Installation

DAServer Installation : Repairing an Installation
Repairing an Installation
Repairing a DAServer fixes missing or corrupt files, registry keys or shortcuts. Registry key are reset to the default value.
You must insert the installation media in the media drive before you can repair the installation.
To repair an installation
1
Click the Add or Remove Programs option in Windows Control Panel. (In some operating systems, this is called Uninstall or Change a Program.) The list of software installed on your computer appears.
2
Select the DAServer that you want to repair, and then click the Uninstall/Change button. (The name of the Uninstall/Change button varies depending on the Windows operating system installed on your computer.) The Modify Repair or Remove Installation dialog box appears.
3
Click the Repair option, and then click Next. The Confirm Repair dialog box appears.
4
Click Repair. The complete repair dialog box appears.
5
Click Finish.
Related Topics
DAServer Installation
Installing a DAServer
Modifying an Installation
Uninstalling a DAServer
Upgrading a DAServer
Installing a Product License


Uninstalling a DAServer

DAServer Installation : Uninstalling a DAServer
Uninstalling a DAServer
Uninstalling the DAServer does not delete the configuration file that stores data specific to your configuration of the DAServer.
Important: You cannot delete a DAServer or FS Gateway that is currently active. The uninstall will display a warning message and will terminate when you click OK to acknowledge it. Go to the SMC and deactivate the DAServer, then continue the uninstall procedure.
For information about performing a silent uninstallation, see Silently Uninstalling the DAServer.
For information about uninstalling FS Gateway, see FS Gateway Installation .
To uninstall the DAServer
1
Click the Add or Remove Programs option in Windows Control Panel. (In some operating systems, this is called Uninstall or Change a Program.) The list of software installed on your computer appears.
2
Select the DAServer, and then click the Uninstall/Change button. (The name of the Uninstall/Change button varies depending on the Windows operating system installed on your computer.) The Modify, Repair or Remove Installation dialog box appears.
3
Click the Remove option, and then click Next. The confirmation dialog box appears.
4
Click Uninstall. The component is uninstalled and the complete uninstallation dialog box appears.
5
Click Finish.
Related Topics
DAServer Installation
Installing a DAServer
Modifying an Installation
Repairing an Installation
Upgrading a DAServer
Installing a Product License


Upgrading a DAServer

DAServer Installation : Upgrading a DAServer
Upgrading a DAServer
To upgrade a DAServer, run the installation program and follow the prompts.
The DAServer components installed in the previous installation are selected by default for upgrade. You can change these settings.
WARNING! Upgrading overwrites the previous version of this DAServer, including shared components that may change the look and feel of other DAServers you may have installed on the computer. Shared components include the DASEngine, DDE/SuiteLink PlugIn and DAServer Manager. If the versions of the previously-installed components are later than those being installed, no upgrade is done.
Related Topics
DAServer Installation
Installing a DAServer
Modifying an Installation
Repairing an Installation
Uninstalling a DAServer
Installing a Product License


Installing a Product License

DAServer Installation : Installing a Product License
Installing a Product License
Use the Invensys License Manager to install licenses. For information about how to use the Invensys License Manager, see the Invensys License Manager Guide and the online help.
Related Topics
DAServer Installation
Installing a DAServer
Modifying an Installation
Repairing an Installation
Uninstalling a DAServer
Upgrading a DAServer


FS Gateway Installation
FS Gateway Installation
The FactorySuite (FS Gateway) allows data exchange between a variety of data sources and data consumers.
To access this gateway, clients also require valid configuration. This gateway does not configure those clients, but instead allows the various clients to be configured to access it.


About FactorySuite Gateway Installation

FS Gateway Installation : About FactorySuite Gateway Installation
About FactorySuite Gateway Installation
FS Gateway can be installed as a standalone application or as a component of Wonderware System Platform. The installation procedure for the standalone version of FS Gateway is the same as that for the DAServers. However, there are some scenarios that you need to be aware of when installing the standalone version on the same computer as Wonderware System Platform. For more information, see Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI.
Related Topics
DAServer Installation
Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI
Uninstalling FS Gateway as a Component of Wonderware System Platform with InTouch HMI


Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI

FS Gateway Installation : Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI
Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI
FactorySuite Gateway (FS Gateway) provides the OPC connectivity between InTouch and Wonderware System Platform. Setup automatically installs FS Gateway on System Platform when you select the InTouch HMI component during installation.
You can install or upgrade FS Gateway as a standalone application or as a component of Wonderware System Platform. However, there are some scenarios that you need to be aware of when installing the standalone version on the same computer as Wonderware System Platform.
Related Topics
FS Gateway Installation Scenarios
About FactorySuite Gateway Installation
Uninstalling FS Gateway as a Component of Wonderware System Platform with InTouch HMI


FS Gateway Installation Scenarios

FS Gateway Installation : Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI : FS Gateway Installation Scenarios
FS Gateway Installation Scenarios
The following table shows the possible combinations for installing FS Gateway and Wonderware System Platform.
I have...
I want to...
Install FS Gateway 3.0.0 Standalone
Install System Platform 2012 R2 with InTouch10.6 and FS Gateway3.0.0
A clean system
•
FS Gateway is preconfigured with a predefined OPC access Name.
•
FS Gateway is installed as standalone product.
•
FS Gateway appears in Add/Remove Programs.
•
FS Gateway is preconfigured with a predefined OPC access Name.
•
FS Gateway is installed as a hidden feature.
•
InTouch appears in Add/Remove Programs.
FS Gateway 2.0.0 or previous installed
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is upgraded.
•
FS Gateway appears in Add/Remove Programs.
•
Existing FS Gateway Configuration is retained.
•
InTouch is installed.
•
FS Gateway is installed as a hidden feature.
•
FS Gateway is upgraded.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
InTouch 10.0.0 or previous installed
•
FS Gateway is preconfigured with a predefined OPC access Name.
•
FS Gateway is installed as standalone product.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
•
FS Gateway is preconfigured with a predefined OPC access Name.
•
FS Gateway is installed as a hidden feature.
•
InTouch is upgraded.
•
InTouch appears in Add/Remove Programs.
FS Gateway 2.0.0 or previous and InTouch 10.0.0 or Previous
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is upgraded.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is upgraded.
•
InTouch is upgraded.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
FS Gateway 2.0.1 Standalone
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is upgraded.
•
FS Gateway appears in Add/Remove Programs.
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is installed as a hidden feature.
•
InTouch is installed.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
System Platform 2012 with InTouch10.5 and FS Gateway2.0.1
•
FS Gateway 2.0.1 must be manually uninstalled (after doing this, it is equivalent to installing FS Gateway on a clean system).
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is installed as a hidden feature.
•
InTouch is upgraded.
•
InTouch appears in Add/Remove Programs.
FS Gateway 3.0.0 Standalone
N/A
•
Existing FS Gateway Configuration is retained.
•
InTouch is installed.
•
FS Gateway is installed as a hidden feature.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
System Platform 2012 with InTouch10.6 and FS Gateway3.0.0
•
Existing FS Gateway Configuration is retained.
•
FS Gateway is installed as standalone product.
•
FS Gateway appears in Add/Remove Programs.
•
InTouch appears in Add/Remove Programs.
N/A


Uninstalling FS Gateway as a Component of Wonderware System Platform with InTouch HMI

FS Gateway Installation : Uninstalling FS Gateway as a Component of Wonderware System Platform with InTouch HMI
Uninstalling FS Gateway as a Component of Wonderware System Platform with InTouch HMI
The following table shows the possible combinations for uninstalling FS Gateway and Wonderware System Platform
I have...
I want to...
Uninstall standalone FS Gateway
Uninstall 2012R2 InTouch
Uninstall Both
FS Gateway 3.0.0 Standalone installed
•
FS Gateway is removed.
•
FS Gateway does not appear in Add/Remove Programs.
N/A
N/A
System Platform 2012R2 with InTouch 10.6 and FS Gateway 3.0.0 installed
N/A
•
FS Gateway is removed
•
InTouch is removed
•
InTouch does not appear in Add/Remove Programs.
N/A
Both System Platform 2012R2 with InTouch 10.6 and FS Gateway 3.0.0 and FS Gateway 3.0.0 Standalone installed
•
FS Gateway does not appear in Add/Remove Programs.
•
InTouch is removed
•
InTouch does not appear in Add/Remove Programs.
•
FS Gateway is removed
•
InTouch is removed
•
FS Gateway does not appear in Add/Remove Programs.
•
InTouch does not appear in Add/Remove Programs.
Related Topics
FS Gateway Installation Scenarios
About FactorySuite Gateway Installation
Installing FS Gateway as a Component of Wonderware System Platform with InTouch HMI


Using Silent Installation
Using Silent Installation
The DAServer installation process supports silent (command line) installation. Silent installation runs through the entire installation process without user intervention.
Related Topics
Preparing the Silent Installation Batch File
Performing Silent Installation
Silently Uninstalling the DAServer


Preparing the Silent Installation Batch File

Using Silent Installation : Preparing the Silent Installation Batch File
Preparing the Silent Installation Batch File
An example of a batch file, Setup.bat, which can be used to implement silent installation, is provided in your installation media. The batch file requires minor customization before it can be used.
The batch file is comprised of several sections. The first three sections are editable, and require configuration prior to running the batch file.
•
ArchestrA Account Credentials
Credentials are required if no other ArchestrA product installation has created an ArchestrA account.
•
ArchestrA Account Configuration
You can configure whether to use an existing operating system account as the ArchestrA account, or to create a new ArchestrA Account.
•
Additional Install Options
You can configure whether or not to restart your computer after installation.
Information about each section of the batch file is contained in remarks specific to that section.
To prepare the Setup.bat file for use
1
Navigate to the directory of your installation media to find Setup.bat.
2
Open Setup.bat in Microsoft Notepad or another text editor .
3
Edit the ArchestrA Account Credentials section by providing the three parameters contained in angle brackets.
@REM ===== ArchestrA Account Credentials =====
@REM The ArchestrA Account Credentials are required if an ArchestrA Account has not already been created by another Invensys product installation
@REM Please enter the domain name, user name, and password enclosed in quotes. For a local computer account please use %COMPUTERNAME% for domain
SET DOMAIN="<domain name>"
SET USERNAME="<user name>"
SET PASSWORD="<password>"
a
Replace <domain name> with your computer’s domain, enclosed in the quotation marks.
b
Replace <user name> with the ArchestrA account name, enclosed in the quotation marks.
c
Replace <password> with a password for the ArchestrA account, enclosed in the quotation marks.
4
Specify the ArchestrA Account Configuration.
@REM ===== ArchestrA Account Configuration =====
@REM CREATEACCOUNT=0 - Sets an existing OS account as the ArchestrA account
@REM CREATEACCOUNT=1 - Creates a new ArchestrA account
@REM Note: if another Invensys product that has configured an ArchestrA Account is currently installed on the computer, this value is ignored
SET CREATEACCOUNT=0
a
To use an existing operating system account as the ArchestrA account, make no edits to this section.
b
To create a new ArchestrA account, change SET CREATEACCOUNT=0 to SET CREATEACCOUNT=1.
5
Specify the additional install options.
@REM ===== Additional Install Options =====
@REM RESTART=/norestart - Do not restart after the installation/uninstallation is complete
@REM RESTART=/forcerestart - Always restart the computer after installation/uninstallation is complete. Ensure any open applications are closed
SET RESTART=/norestart
a
To specify not to restart your computer after installation, make no edits to this section.
b
To specify that your computer restarts after installation, change SET RESTART=/norestart to SET RESTART=/forcerestart.
6
Save and close the batch file in the same directory of your install media.
If this is not desirable, you can save the batch file to a different folder. If you save to a different directory, you must be sure on execution to switch the current working directory to the install media folder.
Related Topics
Using Silent Installation
Performing Silent Installation
Silently Uninstalling the DAServer


Performing Silent Installation

Using Silent Installation : Performing Silent Installation
Performing Silent Installation
Run Setup.bat from the command line to install the DAServer.
To perform a silent installation
1
Open the Windows command line window.
2
Change the directory to the root directory of your installation media.
3
Type the silent install command plus the install option switch.
Setup.bat /install
Press Enter. To view usage instructions, type Setup.bat /?
4
Silent installation commences.
The command line interface displays the message Please wait while <DAServer> installs silently ...
Upon install completion, the command line interface displays the message Silent installation completed successfully.
5
Exit the command line interface.
Related Topics
Using Silent Installation
Preparing the Silent Installation Batch File
Silently Uninstalling the DAServer


Silently Uninstalling the DAServer

Using Silent Installation : Silently Uninstalling the DAServer
Silently Uninstalling the DAServer
Run Setup.bat from the command line to uninstall the DAServer.
To silently uninstall the DAServer
1
Open the Windows command line window.
2
Change the directory to the root directory of your installation media.
3
Type the silent install command plus the install option switch.
Setup.bat /uninstall
Press Enter. To view usage instructions, type Setup.bat /?
4
Silent uninstallation commences.
The command line interface displays the message Please wait while <DAServer> uninstalls silently ...
Upon uninstall completion, the command line interface displays the message Silent uninstallation completed successfully.
5
Exit the command line interface.
Related Topics
Using Silent Installation
Preparing the Silent Installation Batch File
Performing Silent Installation